#!/bin/sh
#
# author: Joerg Heinemann
# website: http://enterprise-log-management-appliance.org
# license: GPL v3
#
# /etc/cron.d/elma-delete-backup.sh
#

RETVAL=0
#IFS="_"
OPTIONS=$@

SCRIPT_DESCRIPTION="Delete openSUSE and ELMA config backups"
SCRIPT_AUTHOR="Joerg Heinemann"

# ######### Load ELMA configuration parameter, global functions and script header #########
#
source /etc/elma/elma.conf ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi
source $ELMA_LIB_DIR/elma-global-functions.sh ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi
script_logging ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi
script_header $OPTIONS ; if [ $? -ne 0 ]; then error_exit "$LINENO"; fi

LATESTARCHIVEDATE=`date --date ${SYSCONFIG_ARCHIVE_PERIOD}' days ago' '+%Y-%m-%d'`

echo  --- `date +%T.%N | cut -c 1-12` - Delete openSUSE and ELMA config backups --------------------------------
echo

if [ -d "$SYSCONFIG_BACKUP_DIR" ]
then
	/usr/bin/find "$SYSCONFIG_BACKUP_DIR" -type f -mtime +$SYSCONFIG_ARCHIVE_PERIOD -exec /bin/rm {} \;
#	/usr/bin/find "$SYSCONFIG_BACKUP_DIR" -type d -empty -exec /bin/rm -R {} \;
fi

#echo  ===========================================================================================
#echo
#echo  "Last log archive:		$LATESTARCHIVEDATE"
#echo  "Days in log archive:		$ES_ARCHIVE_PERIOD"
#echo  "Actual number of indexes:	"`curl $ES_AUTH -s $ES_URL/_status?pretty=true |grep index |grep -v { |sort |uniq |awk -F\" '{print $4}' |wc -l`
#echo
echo  ===========================================================================================
echo